com.io7m.jcanephora.renderstate

## Class JCGLStencilStateMutable

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLStencilStateMutable

- All Implemented Interfaces:
    JCGLStencilStateType

      @Generated(value={"Modifiables.generator","JCGLStencilStateType"})
      public final class JCGLStencilStateMutable
      extends Object
      implements JCGLStencilStateType

  A modifiable implementation of the `JCGLStencilStateType` type.

  Use the `create()` static factory methods to create new instances.

  JCGLStencilStateMutable is not thread-safe

  See Also:
    `JCGLStencilState`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLStencilStateMutable` | `clear()` Clears the object by setting all attributes to their initial values.
    `static JCGLStencilStateMutable` | `create()` Construct a modifiable instance of `JCGLStencilStateType`.
    `static JCGLStencilStateMutable` | `create(boolean stencilEnabled, boolean stencilStrict, JCGLStencilFunction testFunctionFront, JCGLStencilFunction testFunctionBack, int testMaskBack, int testMaskFront, int testReferenceBack, int testReferenceFront, JCGLStencilOperation operationStencilFailBack, JCGLStencilOperation operationDepthFailBack, JCGLStencilOperation operationPassBack, JCGLStencilOperation operationStencilFailFront, JCGLStencilOperation operationDepthFailFront, JCGLStencilOperation operationPassFront, int writeMaskFrontFaces, int writeMaskBackFaces)` Construct a modifiable instance of `JCGLStencilStateType`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLStencilStateMutable` that have equal attribute values.
    `JCGLStencilStateMutable` | `from(JCGLStencilStateType instance)` Fill this modifiable instance with attribute values from the provided `JCGLStencilStateType` instance.
    `JCGLStencilOperation` | `getOperationDepthFailBack()`
    `JCGLStencilOperation` | `getOperationDepthFailFront()`
    `JCGLStencilOperation` | `getOperationPassBack()`
    `JCGLStencilOperation` | `getOperationPassFront()`
    `JCGLStencilOperation` | `getOperationStencilFailBack()`
    `JCGLStencilOperation` | `getOperationStencilFailFront()`
    `boolean` | `getStencilEnabled()`
    `boolean` | `getStencilStrict()` Enable or disable strict mode.
    `JCGLStencilFunction` | `getTestFunctionBack()`
    `JCGLStencilFunction` | `getTestFunctionFront()`
    `int` | `getTestMaskBack()`
    `int` | `getTestMaskFront()`
    `int` | `getTestReferenceBack()`
    `int` | `getTestReferenceFront()`
    `int` | `getWriteMaskBackFaces()`
    `int` | `getWriteMaskFrontFaces()`
    `int` | `hashCode()` Computes a hash code from attributes: `stencilEnabled`, `stencilStrict`, `testFunctionFront`, `testFunctionBack`, `testMaskBack`, `testMaskFront`, `testReferenceBack`, `testReferenceFront`, `operationStencilFailBack`, `operationDepthFailBack`, `operationPassBack`, `operationStencilFailFront`, `operationDepthFailFront`, `operationPassFront`, `writeMaskFrontFaces`, `writeMaskBackFaces`.
    `boolean` | `isInitialized()` Returns `true` if all required attributes are set, indicating that the object is initialized.
    `boolean` | `operationDepthFailBackIsSet()` Returns `true` if the default attribute `operationDepthFailBack` is set.
    `boolean` | `operationDepthFailFrontIsSet()` Returns `true` if the default attribute `operationDepthFailFront` is set.
    `boolean` | `operationPassBackIsSet()` Returns `true` if the default attribute `operationPassBack` is set.
    `boolean` | `operationPassFrontIsSet()` Returns `true` if the default attribute `operationPassFront` is set.
    `boolean` | `operationStencilFailBackIsSet()` Returns `true` if the default attribute `operationStencilFailBack` is set.
    `boolean` | `operationStencilFailFrontIsSet()` Returns `true` if the default attribute `operationStencilFailFront` is set.
    `JCGLStencilStateMutable` | `setOperationDepthFailBack(JCGLStencilOperation operationDepthFailBack)` Assigns a value to the `operationDepthFailBack` attribute.
    `JCGLStencilStateMutable` | `setOperationDepthFailFront(JCGLStencilOperation operationDepthFailFront)` Assigns a value to the `operationDepthFailFront` attribute.
    `JCGLStencilStateMutable` | `setOperationPassBack(JCGLStencilOperation operationPassBack)` Assigns a value to the `operationPassBack` attribute.
    `JCGLStencilStateMutable` | `setOperationPassFront(JCGLStencilOperation operationPassFront)` Assigns a value to the `operationPassFront` attribute.
    `JCGLStencilStateMutable` | `setOperationStencilFailBack(JCGLStencilOperation operationStencilFailBack)` Assigns a value to the `operationStencilFailBack` attribute.
    `JCGLStencilStateMutable` | `setOperationStencilFailFront(JCGLStencilOperation operationStencilFailFront)` Assigns a value to the `operationStencilFailFront` attribute.
    `JCGLStencilStateMutable` | `setStencilEnabled(boolean stencilEnabled)` Assigns a value to the `stencilEnabled` attribute.
    `JCGLStencilStateMutable` | `setStencilStrict(boolean stencilStrict)` Assigns a value to the `stencilStrict` attribute.
    `JCGLStencilStateMutable` | `setTestFunctionBack(JCGLStencilFunction testFunctionBack)` Assigns a value to the `testFunctionBack` attribute.
    `JCGLStencilStateMutable` | `setTestFunctionFront(JCGLStencilFunction testFunctionFront)` Assigns a value to the `testFunctionFront` attribute.
    `JCGLStencilStateMutable` | `setTestMaskBack(int testMaskBack)` Assigns a value to the `testMaskBack` attribute.
    `JCGLStencilStateMutable` | `setTestMaskFront(int testMaskFront)` Assigns a value to the `testMaskFront` attribute.
    `JCGLStencilStateMutable` | `setTestReferenceBack(int testReferenceBack)` Assigns a value to the `testReferenceBack` attribute.
    `JCGLStencilStateMutable` | `setTestReferenceFront(int testReferenceFront)` Assigns a value to the `testReferenceFront` attribute.
    `JCGLStencilStateMutable` | `setWriteMaskBackFaces(int writeMaskBackFaces)` Assigns a value to the `writeMaskBackFaces` attribute.
    `JCGLStencilStateMutable` | `setWriteMaskFrontFaces(int writeMaskFrontFaces)` Assigns a value to the `writeMaskFrontFaces` attribute.
    `boolean` | `stencilEnabledIsSet()` Returns `true` if the default attribute `stencilEnabled` is set.
    `boolean` | `stencilStrictIsSet()` Returns `true` if the default attribute `stencilStrict` is set.
    `boolean` | `testFunctionBackIsSet()` Returns `true` if the default attribute `testFunctionBack` is set.
    `boolean` | `testFunctionFrontIsSet()` Returns `true` if the default attribute `testFunctionFront` is set.
    `boolean` | `testMaskBackIsSet()` Returns `true` if the default attribute `testMaskBack` is set.
    `boolean` | `testMaskFrontIsSet()` Returns `true` if the default attribute `testMaskFront` is set.
    `boolean` | `testReferenceBackIsSet()` Returns `true` if the default attribute `testReferenceBack` is set.
    `boolean` | `testReferenceFrontIsSet()` Returns `true` if the default attribute `testReferenceFront` is set.
    `JCGLStencilState` | `toImmutable()` Converts to `JCGLStencilState`.
    `String` | `toString()` Generates a string representation of this `JCGLStencilStateType`.
    `JCGLStencilStateMutable` | `unsetStencilEnabled()` Reset an attribute to its initial value.
    `JCGLStencilStateMutable` | `unsetStencilStrict()` Reset an attribute to its initial value.
    `JCGLStencilStateMutable` | `unsetTestMaskBack()` Reset an attribute to its initial value.
    `JCGLStencilStateMutable` | `unsetTestMaskFront()` Reset an attribute to its initial value.
    `JCGLStencilStateMutable` | `unsetTestReferenceBack()` Reset an attribute to its initial value.
    `JCGLStencilStateMutable` | `unsetTestReferenceFront()` Reset an attribute to its initial value.
    `JCGLStencilStateMutable` | `unsetWriteMaskBackFaces()` Reset an attribute to its initial value.
    `JCGLStencilStateMutable` | `unsetWriteMaskFrontFaces()` Reset an attribute to its initial value.
    `boolean` | `writeMaskBackFacesIsSet()` Returns `true` if the default attribute `writeMaskBackFaces` is set.
    `boolean` | `writeMaskFrontFacesIsSet()` Returns `true` if the default attribute `writeMaskFrontFaces` is set.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static JCGLStencilStateMutable create(boolean stencilEnabled,
                                                       boolean stencilStrict,
                                                       JCGLStencilFunction testFunctionFront,
                                                       JCGLStencilFunction testFunctionBack,
                                                       int testMaskBack,
                                                       int testMaskFront,
                                                       int testReferenceBack,
                                                       int testReferenceFront,
                                                       JCGLStencilOperation operationStencilFailBack,
                                                       JCGLStencilOperation operationDepthFailBack,
                                                       JCGLStencilOperation operationPassBack,
                                                       JCGLStencilOperation operationStencilFailFront,
                                                       JCGLStencilOperation operationDepthFailFront,
                                                       JCGLStencilOperation operationPassFront,
                                                       int writeMaskFrontFaces,
                                                       int writeMaskBackFaces)

      Construct a modifiable instance of `JCGLStencilStateType`.
      Parameters:
        `stencilEnabled` - The value for the `stencilEnabled` attribute
        `stencilStrict` - The value for the `stencilStrict` attribute
        `testFunctionFront` - The value for the `testFunctionFront` attribute
        `testFunctionBack` - The value for the `testFunctionBack` attribute
        `testMaskBack` - The value for the `testMaskBack` attribute
        `testMaskFront` - The value for the `testMaskFront` attribute
        `testReferenceBack` - The value for the `testReferenceBack` attribute
        `testReferenceFront` - The value for the `testReferenceFront` attribute
        `operationStencilFailBack` - The value for the `operationStencilFailBack` attribute
        `operationDepthFailBack` - The value for the `operationDepthFailBack` attribute
        `operationPassBack` - The value for the `operationPassBack` attribute
        `operationStencilFailFront` - The value for the `operationStencilFailFront` attribute
        `operationDepthFailFront` - The value for the `operationDepthFailFront` attribute
        `operationPassFront` - The value for the `operationPassFront` attribute
        `writeMaskFrontFaces` - The value for the `writeMaskFrontFaces` attribute
        `writeMaskBackFaces` - The value for the `writeMaskBackFaces` attribute
      Returns:
        A new modifiable instance

    - #### create

          public static JCGLStencilStateMutable create()

      Construct a modifiable instance of `JCGLStencilStateType`.
      Returns:
        A new modifiable instance

    - #### getStencilEnabled

          public final boolean getStencilEnabled()

      Specified by:
        `getStencilEnabled` in interface `JCGLStencilStateType`
      Returns:
        `true` if stencilling is enabled

    - #### getStencilStrict

          public final boolean getStencilStrict()

      Enable or disable strict mode. If strict mode is enabled, then attempting to enable stencil writing/testing will fail with an exception if the currently bound framebuffer does not have a stencil buffer.
      Specified by:
        `getStencilStrict` in interface `JCGLStencilStateType`
      Returns:
        `true` iff strict mode is enabled

    - #### getTestFunctionFront

          public final JCGLStencilFunction getTestFunctionFront()

      Specified by:
        `getTestFunctionFront` in interface `JCGLStencilStateType`
      Returns:
        The stencil function for front faces

    - #### getTestFunctionBack

          public final JCGLStencilFunction getTestFunctionBack()

      Specified by:
        `getTestFunctionBack` in interface `JCGLStencilStateType`
      Returns:
        The stencil function for back faces

    - #### getTestMaskBack

          public final int getTestMaskBack()

      Specified by:
        `getTestMaskBack` in interface `JCGLStencilStateType`
      Returns:
        The stencil function mask value for back faces

    - #### getTestMaskFront

          public final int getTestMaskFront()

      Specified by:
        `getTestMaskFront` in interface `JCGLStencilStateType`
      Returns:
        The stencil function mask value for front faces

    - #### getTestReferenceBack

          public final int getTestReferenceBack()

      Specified by:
        `getTestReferenceBack` in interface `JCGLStencilStateType`
      Returns:
        The stencil function reference value for back faces

    - #### getTestReferenceFront

          public final int getTestReferenceFront()

      Specified by:
        `getTestReferenceFront` in interface `JCGLStencilStateType`
      Returns:
        The stencil function reference value for front faces

    - #### getOperationStencilFailBack

          public final JCGLStencilOperation getOperationStencilFailBack()

      Specified by:
        `getOperationStencilFailBack` in interface `JCGLStencilStateType`
      Returns:
        The operation specified for back faces that fail the stencil test

    - #### getOperationDepthFailBack

          public final JCGLStencilOperation getOperationDepthFailBack()

      Specified by:
        `getOperationDepthFailBack` in interface `JCGLStencilStateType`
      Returns:
        The operation specified for back faces that fail the depth test

    - #### getOperationPassBack

          public final JCGLStencilOperation getOperationPassBack()

      Specified by:
        `getOperationPassBack` in interface `JCGLStencilStateType`
      Returns:
        The operation specified for back faces that pass all tests

    - #### getOperationStencilFailFront

          public final JCGLStencilOperation getOperationStencilFailFront()

      Specified by:
        `getOperationStencilFailFront` in interface `JCGLStencilStateType`
      Returns:
        The operation specified for front faces that fail the stencil test

    - #### getOperationDepthFailFront

          public final JCGLStencilOperation getOperationDepthFailFront()

      Specified by:
        `getOperationDepthFailFront` in interface `JCGLStencilStateType`
      Returns:
        The operation specified for front faces that fail the depth test

    - #### getOperationPassFront

          public final JCGLStencilOperation getOperationPassFront()

      Specified by:
        `getOperationPassFront` in interface `JCGLStencilStateType`
      Returns:
        The operation specified for front faces that pass all tests

    - #### getWriteMaskFrontFaces

          public final int getWriteMaskFrontFaces()

      Specified by:
        `getWriteMaskFrontFaces` in interface `JCGLStencilStateType`
      Returns:
        The write mask value specified for front faces

    - #### getWriteMaskBackFaces

          public final int getWriteMaskBackFaces()

      Specified by:
        `getWriteMaskBackFaces` in interface `JCGLStencilStateType`
      Returns:
        The write mask value specified for back faces

    - #### clear

          public JCGLStencilStateMutable clear()

      Clears the object by setting all attributes to their initial values.
      Returns:
        `this` for use in a chained invocation

    - #### from

          public JCGLStencilStateMutable from(JCGLStencilStateType instance)

      Fill this modifiable instance with attribute values from the provided `JCGLStencilStateType` instance. Regular attribute values will be overridden, i.e. replaced with ones of an instance. Any of the instance's absent optional values will not be copied (will not override current values).
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` for use in a chained invocation

    - #### setStencilEnabled

          public JCGLStencilStateMutable setStencilEnabled(boolean stencilEnabled)

      Assigns a value to the `stencilEnabled` attribute.

      If not set, this attribute will have a default value returned by the initializer of `stencilEnabled`.

      Parameters:
        `stencilEnabled` - The value for stencilEnabled
      Returns:
        `this` for use in a chained invocation

    - #### setStencilStrict

          public JCGLStencilStateMutable setStencilStrict(boolean stencilStrict)

      Assigns a value to the `stencilStrict` attribute.

      If not set, this attribute will have a default value returned by the initializer of `stencilStrict`.

      Parameters:
        `stencilStrict` - The value for stencilStrict
      Returns:
        `this` for use in a chained invocation

    - #### setTestFunctionFront

          public JCGLStencilStateMutable setTestFunctionFront(JCGLStencilFunction testFunctionFront)

      Assigns a value to the `testFunctionFront` attribute.

      If not set, this attribute will have a default value returned by the initializer of `testFunctionFront`.

      Parameters:
        `testFunctionFront` - The value for testFunctionFront
      Returns:
        `this` for use in a chained invocation

    - #### setTestFunctionBack

          public JCGLStencilStateMutable setTestFunctionBack(JCGLStencilFunction testFunctionBack)

      Assigns a value to the `testFunctionBack` attribute.

      If not set, this attribute will have a default value returned by the initializer of `testFunctionBack`.

      Parameters:
        `testFunctionBack` - The value for testFunctionBack
      Returns:
        `this` for use in a chained invocation

    - #### setTestMaskBack

          public JCGLStencilStateMutable setTestMaskBack(int testMaskBack)

      Assigns a value to the `testMaskBack` attribute.

      If not set, this attribute will have a default value returned by the initializer of `testMaskBack`.

      Parameters:
        `testMaskBack` - The value for testMaskBack
      Returns:
        `this` for use in a chained invocation

    - #### setTestMaskFront

          public JCGLStencilStateMutable setTestMaskFront(int testMaskFront)

      Assigns a value to the `testMaskFront` attribute.

      If not set, this attribute will have a default value returned by the initializer of `testMaskFront`.

      Parameters:
        `testMaskFront` - The value for testMaskFront
      Returns:
        `this` for use in a chained invocation

    - #### setTestReferenceBack

          public JCGLStencilStateMutable setTestReferenceBack(int testReferenceBack)

      Assigns a value to the `testReferenceBack` attribute.

      If not set, this attribute will have a default value returned by the initializer of `testReferenceBack`.

      Parameters:
        `testReferenceBack` - The value for testReferenceBack
      Returns:
        `this` for use in a chained invocation

    - #### setTestReferenceFront

          public JCGLStencilStateMutable setTestReferenceFront(int testReferenceFront)

      Assigns a value to the `testReferenceFront` attribute.

      If not set, this attribute will have a default value returned by the initializer of `testReferenceFront`.

      Parameters:
        `testReferenceFront` - The value for testReferenceFront
      Returns:
        `this` for use in a chained invocation

    - #### setOperationStencilFailBack

          public JCGLStencilStateMutable setOperationStencilFailBack(JCGLStencilOperation operationStencilFailBack)

      Assigns a value to the `operationStencilFailBack` attribute.

      If not set, this attribute will have a default value returned by the initializer of `operationStencilFailBack`.

      Parameters:
        `operationStencilFailBack` - The value for operationStencilFailBack
      Returns:
        `this` for use in a chained invocation

    - #### setOperationDepthFailBack

          public JCGLStencilStateMutable setOperationDepthFailBack(JCGLStencilOperation operationDepthFailBack)

      Assigns a value to the `operationDepthFailBack` attribute.

      If not set, this attribute will have a default value returned by the initializer of `operationDepthFailBack`.

      Parameters:
        `operationDepthFailBack` - The value for operationDepthFailBack
      Returns:
        `this` for use in a chained invocation

    - #### setOperationPassBack

          public JCGLStencilStateMutable setOperationPassBack(JCGLStencilOperation operationPassBack)

      Assigns a value to the `operationPassBack` attribute.

      If not set, this attribute will have a default value returned by the initializer of `operationPassBack`.

      Parameters:
        `operationPassBack` - The value for operationPassBack
      Returns:
        `this` for use in a chained invocation

    - #### setOperationStencilFailFront

          public JCGLStencilStateMutable setOperationStencilFailFront(JCGLStencilOperation operationStencilFailFront)

      Assigns a value to the `operationStencilFailFront` attribute.

      If not set, this attribute will have a default value returned by the initializer of `operationStencilFailFront`.

      Parameters:
        `operationStencilFailFront` - The value for operationStencilFailFront
      Returns:
        `this` for use in a chained invocation

    - #### setOperationDepthFailFront

          public JCGLStencilStateMutable setOperationDepthFailFront(JCGLStencilOperation operationDepthFailFront)

      Assigns a value to the `operationDepthFailFront` attribute.

      If not set, this attribute will have a default value returned by the initializer of `operationDepthFailFront`.

      Parameters:
        `operationDepthFailFront` - The value for operationDepthFailFront
      Returns:
        `this` for use in a chained invocation

    - #### setOperationPassFront

          public JCGLStencilStateMutable setOperationPassFront(JCGLStencilOperation operationPassFront)

      Assigns a value to the `operationPassFront` attribute.

      If not set, this attribute will have a default value returned by the initializer of `operationPassFront`.

      Parameters:
        `operationPassFront` - The value for operationPassFront
      Returns:
        `this` for use in a chained invocation

    - #### setWriteMaskFrontFaces

          public JCGLStencilStateMutable setWriteMaskFrontFaces(int writeMaskFrontFaces)

      Assigns a value to the `writeMaskFrontFaces` attribute.

      If not set, this attribute will have a default value returned by the initializer of `writeMaskFrontFaces`.

      Parameters:
        `writeMaskFrontFaces` - The value for writeMaskFrontFaces
      Returns:
        `this` for use in a chained invocation

    - #### setWriteMaskBackFaces

          public JCGLStencilStateMutable setWriteMaskBackFaces(int writeMaskBackFaces)

      Assigns a value to the `writeMaskBackFaces` attribute.

      If not set, this attribute will have a default value returned by the initializer of `writeMaskBackFaces`.

      Parameters:
        `writeMaskBackFaces` - The value for writeMaskBackFaces
      Returns:
        `this` for use in a chained invocation

    - #### stencilEnabledIsSet

          public final boolean stencilEnabledIsSet()

      Returns `true` if the default attribute `stencilEnabled` is set.
      Returns:
        `true` if set

    - #### stencilStrictIsSet

          public final boolean stencilStrictIsSet()

      Returns `true` if the default attribute `stencilStrict` is set.
      Returns:
        `true` if set

    - #### testMaskBackIsSet

          public final boolean testMaskBackIsSet()

      Returns `true` if the default attribute `testMaskBack` is set.
      Returns:
        `true` if set

    - #### testMaskFrontIsSet

          public final boolean testMaskFrontIsSet()

      Returns `true` if the default attribute `testMaskFront` is set.
      Returns:
        `true` if set

    - #### testReferenceBackIsSet

          public final boolean testReferenceBackIsSet()

      Returns `true` if the default attribute `testReferenceBack` is set.
      Returns:
        `true` if set

    - #### testReferenceFrontIsSet

          public final boolean testReferenceFrontIsSet()

      Returns `true` if the default attribute `testReferenceFront` is set.
      Returns:
        `true` if set

    - #### writeMaskFrontFacesIsSet

          public final boolean writeMaskFrontFacesIsSet()

      Returns `true` if the default attribute `writeMaskFrontFaces` is set.
      Returns:
        `true` if set

    - #### writeMaskBackFacesIsSet

          public final boolean writeMaskBackFacesIsSet()

      Returns `true` if the default attribute `writeMaskBackFaces` is set.
      Returns:
        `true` if set

    - #### testFunctionFrontIsSet

          public final boolean testFunctionFrontIsSet()

      Returns `true` if the default attribute `testFunctionFront` is set.
      Returns:
        `true` if set

    - #### testFunctionBackIsSet

          public final boolean testFunctionBackIsSet()

      Returns `true` if the default attribute `testFunctionBack` is set.
      Returns:
        `true` if set

    - #### operationStencilFailBackIsSet

          public final boolean operationStencilFailBackIsSet()

      Returns `true` if the default attribute `operationStencilFailBack` is set.
      Returns:
        `true` if set

    - #### operationDepthFailBackIsSet

          public final boolean operationDepthFailBackIsSet()

      Returns `true` if the default attribute `operationDepthFailBack` is set.
      Returns:
        `true` if set

    - #### operationPassBackIsSet

          public final boolean operationPassBackIsSet()

      Returns `true` if the default attribute `operationPassBack` is set.
      Returns:
        `true` if set

    - #### operationStencilFailFrontIsSet

          public final boolean operationStencilFailFrontIsSet()

      Returns `true` if the default attribute `operationStencilFailFront` is set.
      Returns:
        `true` if set

    - #### operationDepthFailFrontIsSet

          public final boolean operationDepthFailFrontIsSet()

      Returns `true` if the default attribute `operationDepthFailFront` is set.
      Returns:
        `true` if set

    - #### operationPassFrontIsSet

          public final boolean operationPassFrontIsSet()

      Returns `true` if the default attribute `operationPassFront` is set.
      Returns:
        `true` if set

    - #### unsetStencilEnabled

          public final JCGLStencilStateMutable unsetStencilEnabled()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetStencilStrict

          public final JCGLStencilStateMutable unsetStencilStrict()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetTestMaskBack

          public final JCGLStencilStateMutable unsetTestMaskBack()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetTestMaskFront

          public final JCGLStencilStateMutable unsetTestMaskFront()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetTestReferenceBack

          public final JCGLStencilStateMutable unsetTestReferenceBack()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetTestReferenceFront

          public final JCGLStencilStateMutable unsetTestReferenceFront()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetWriteMaskFrontFaces

          public final JCGLStencilStateMutable unsetWriteMaskFrontFaces()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### unsetWriteMaskBackFaces

          public final JCGLStencilStateMutable unsetWriteMaskBackFaces()

      Reset an attribute to its initial value.
      Returns:
        `this` for use in a chained invocation

    - #### isInitialized

          public final boolean isInitialized()

      Returns `true` if all required attributes are set, indicating that the object is initialized.
      Returns:
        `true` if set

    - #### toImmutable

          public final JCGLStencilState toImmutable()

      Converts to `JCGLStencilState`.
      Returns:
        An immutable instance of JCGLStencilState

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLStencilStateMutable` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `stencilEnabled`, `stencilStrict`, `testFunctionFront`, `testFunctionBack`, `testMaskBack`, `testMaskFront`, `testReferenceBack`, `testReferenceFront`, `operationStencilFailBack`, `operationDepthFailBack`, `operationPassBack`, `operationStencilFailFront`, `operationDepthFailFront`, `operationPassFront`, `writeMaskFrontFaces`, `writeMaskBackFaces`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Generates a string representation of this `JCGLStencilStateType`. If uninitialized, some attribute values may appear as question marks.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation

Copyright © 2016 <code@io7m.com> http://io7m.com